Bug 53533 - topdir is hardcoded to $prefix/src/redhat in macros.in
Summary: topdir is hardcoded to $prefix/src/redhat in macros.in
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm-build   
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-11 00:41 UTC by SL Baur
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-09 19:09:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch fix for topdir bug (345 bytes, patch)
2001-09-11 00:44 UTC, SL Baur
no flags Details | Diff

Description SL Baur 2001-09-11 00:41:41 UTC
Description of Problem:
configure sets topdir to $prefix/src/$RPMCANONVENDOR but
macros.in hardcodes the final directory to `redhat'.
A patch is attached.

Version-Release number of selected component (if applicable):
4.0.3/CVS

How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 SL Baur 2001-09-11 00:44:17 UTC
Created attachment 31556 [details]
patch fix for topdir bug

Comment 2 Jeff Johnson 2001-12-19 20:15:11 UTC
This is the legacy default for rpm. If anything, the
patch will become
	/usr/src/rpm
rather than adding a vendor.


Note You need to log in before you can comment on or make changes to this bug.